X
Tap here to go to the mobile version of the site.

Support Forum

Does your site state which is the latest version for WXP, please?

Posted

.....

.....

Additional System Details

Installed Plug-ins

  • Shockwave Flash 20.0 r0
  • Google Update
  • GEPlugin
  • VLC media player Web Plugin
  • Next Generation Java Plug-in 11.31.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Virtual Keyboard
  • Content Blocker Extension
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • RealPlayer Download Plugin
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.8
  • RealNetworks(tm) RealDownloader Chrome Background Extension Plug-In
  • RealNetworks(tm) RealDownloader PepperFlashVideoShim Plug-In
  • RealNetworks(tm) RealDownloader HTML5VideoShim Plug-In
  • RealDownloader Plugin
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • DRM Netscape Network Object
  • Npdsplay dll
  • DRM Store Netscape Plugin

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:19.0) Gecko/20100101 Firefox/19.0

More Information

jdc20181 2 solutions 35 answers

Chosen Solution

Yes, indeed! https://www.mozilla.org/en-US/firefox/43.0.3/system-requirements/
James
  • Top 25 Contributor
  • Moderator
1440 solutions 9964 answers

Helpful Reply

If you download from www.mozilla.org or www.mozilla.org/firefox/all you will get served Fx 43.0.1 due to using a SHA-256 signing certificate for Windows builds, to meet new signing requirements starting 43.0.2 which will not work for WinXP SP2 users.

You can then update from 43.0.1 to 43.0.3 or if you have WinXP SP3 you can download 43.0.3 from http://archive.mozilla.org/pub/firefox/releases/43.0.3/win32/

If you download from www.mozilla.org or www.mozilla.org/firefox/all you will get served Fx '''43.0.1''' due to using a SHA-256 signing certificate for Windows builds, to meet new signing requirements starting 43.0.2 which will not work for WinXP '''SP2''' users. You can then update from 43.0.1 to 43.0.3 or if you have WinXP '''SP3''' you can download 43.0.3 from http://archive.mozilla.org/pub/firefox/releases/43.0.3/win32/
cor-el
  • Top 10 Contributor
  • Moderator
16391 solutions 147875 answers

Helpful Reply

Note that because of SHA-256 signing issues that Windows XP with some service packs may not support you will only get 43.0.1 offered.

See:

Note that because of SHA-256 signing issues that Windows XP with some service packs may not support you will only get 43.0.1 offered. See: *[[/forums/contributors/711730]]

Question owner

Ah! My real complaint was that "ver" wasn't obvious on the main download page, and there were no directions to the page I have now been shown.

I tried v24 and found it wouldn't work - a long time ago. [I also prefer older appearances, eg - we use colour to spot berries, so why not buttons and icons !]

Thank you.

Ah! My real complaint was that "ver" wasn't obvious on the main download page, and there were no directions to the page I have now been shown. I tried v24 and found it wouldn't work - a long time ago. [I also prefer older appearances, eg - we use colour to spot berries, so why not buttons and icons !] Thank you.